%clear

stackNo=5;
filenamebase=sprintf('SW_Mask_%d',stackNo);

for imNo=9:12
    if imNo<=9
        cell=double(imread(strcat('C:\Stack_1\YSG2-21_T0002_WavelengthA_Z000',num2str(imNo),'.tif')));
    else
        cell=double(imread(strcat('C:\Stack_1\YSG2-21_T0002_WavelengthA_Z00',num2str(imNo),'.tif')));
    end

    for i=1:2
        cell=uint8(ComputeBlur(double(cell)));
    end

    [MM,NN]=size(cell);
    XX=zeros(MM,NN);
    for m=1:MM/2-1
        XX(m+1,:)=m;
        XX(MM-m+1,:)=-m;
    end
    YY=zeros(MM,NN);
    for n=1:NN/2-1;
        YY(:,n+1)=n;
        YY(:,NN-n+1)=-n;
    end

    S=0.5*ones(MM,NN);
    V=double(cell);
    V = V-min(min(V));
    V = V/(max(max(V)));
    alpha = 0.5;
    beta = 0.9;
    V = (beta-alpha)*V+alpha;
    
    tic;
    
    SW_Mask = watershed_old(cell);

    I = hsv2rgb(mod(SW_Mask/length(unique(SW_Mask))+2/3,1),S,V); %Scale the coarse images up to equal the size of the detail image requested, so all the results are the same size

    endTime=toc;
    imwrite(I,sprintf('SW_%d_%d_TotTime_%d.png',stackNo,imNo,endTime/60));
    fName=strcat('SWA_Mask_',num2str(imNo),'.mat');
    save(strcat('SWA_Mask_',num2str(imNo),'.mat'));
end